net.sourceforge.pmd.lang.dfa

## Class StackObject

- java.lang.Object
- - net.sourceforge.pmd.lang.dfa.StackObject

-     public class StackObject
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StackObject(int type, DataFlowNode node)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `DataFlowNode` | `getDataFlowNode()`
    `int` | `getType()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StackObject

          public StackObject(int type,
                     DataFlowNode node)

  - ### Method Detail

    - #### getDataFlowNode

          public DataFlowNode getDataFlowNode()

    - #### getType

          public int getType()

Copyright © 2002-2013 InfoEther. All Rights Reserved.